Add Jupyter notebook tutorials
Status: Closed Start date: 11/16/2017

Priority: Normal Due date:  

Assigned To: Tibaldo Luigi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

Create infrastructure for doc generation and add first notebook

History

#1 - 11/16/2017 05:02 PM - Tibaldo Luigi

- Status changed from New to Pull request

- % Done changed from 0 to 100

Done.

- Jupyter notebooks in the doc tree are converted to manual pages using the nbsphinx package (https://nbsphinx.readthedocs.io); if nbsphinx is

missing they are ignored; note that nbsphinx requires as dependencies Jupyter core and pypandoc.

- In the sphinx configuration I set html_show_sourcelink to True, so that the notebook can be downloaded directly from the web.

- I added a few words of explanation in the index page of the User Documentation to tell the users how to recognize Jupyter notebooks and download

them to execute them on their machine.

- I converted the manual page "Using ctools from Python" into a Jupyter notebook.

- I added a section for User contributed material (cf. discussion with Thomas Gasparetto)

#2 - 11/27/2017 10:59 PM - Knödlseder Jürgen

I integrated the code.

I did some modifications:

I reset html_show_sourcelink to True

I added a Download button to the Jupyter notebook (however, this shows up when the notebook is loaded into Jupyter, which is not very nice ...)

I moved the notebook to the quickstart section

#3 - 11/27/2017 11:02 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed
